Skip to main content

Domain

View as Markdown

Domain object

domain_idstringBetaOutput only

Unique identifier for the domain. If omitted at Create, the server generates one.

tag_keystringBetaImmutable

Governed tag key associated with this domain.

draftbooleanBetaInput only

Whether to mark the domain as a draft. If omitted on Create, the server applies a default; the resolved value is returned in effective_draft.

effective_draftbooleanBetaOutput only

Resolved draft state of the domain.

iconobjectBeta

Icon to display for the domain.

Show child attributesHide child attributes
namestringBeta

Available icon names for a domain.

Values:

Show 73 possible values
  • NAME_UNSPECIFIED
  • ADDRESS_BOOK
  • ALARM
  • ARROWS_IN
  • ATOM
  • BALLOON
  • BANK
  • BARRICADE
  • BASKET
  • BRIDGE
  • CACTUS
  • CALL_BELL
  • CARROT
  • CHART_PIE_SLICE
  • CITY
  • CLOUD
  • COINS
  • COMPASS_ROSE
  • CRANE_TOWER
  • CROWN
  • CUBE_TRANSPARENT
  • FADERS
  • FLAG_BANNER_FOLD
  • FLAG_CHECKERED
  • GAVEL
  • HAMBURGER
  • HEAD_CIRCUIT
  • HOURGLASS_HIGH
  • INTERSECT_THREE
  • MICROSCOPE
  • MOON_STARS
  • PACKAGE
  • PARACHUTE
  • PEPPER
  • PIGGY_BANK
  • PILL
  • PLANET
  • PLANT
  • PLUGS_CONNECTED
  • POPCORN
  • PRESENTATION_CHART
  • PUZZLE_PIECE
  • RAINBOW
  • RANKING
  • RECEIPT
  • ROCKET
  • RULER
  • SAILBOAT
  • SCALES
  • SCAN_SMILEY
  • SCROLL
  • SHIELD_CHECKERED
  • SNEAKER
  • SNOWFLAKE
  • SOLAR_ROOF
  • SPEEDOMETER
  • STAMP
  • STEPS
  • STRATEGY
  • SWORD
  • TELEVISION_SIMPLE
  • TENT
  • TICKET
  • TRACTOR
  • TRAFFIC_CONE
  • TRAIN
  • TREE_EVERGREEN
  • TREE_STRUCTURE
  • TROLLEY_SUITCASE
  • TROPHY
  • TRUCK_TRAILER
  • USERS_THREE
  • VECTOR_THREE
colorstringBeta

Hex color code with # prefix (e.g., "#FF5733").

subtitlestringBeta

Short description (max 280 chars)

descriptionstringBeta

Full description (max 4096 chars)

create_timestringBetaOutput only

Timestamp when the domain was created.

technical_owner_idsarray of int64Beta

Principal IDs of the technical owners (users, groups, or service principals).

business_owner_idsarray of int64Beta

Principal IDs of the business owners (users, groups, or service principals).

parent_domain_idstringBetaImmutable

Domain ID of the parent. If absent, this is a top-level domain. If present, this domain is a subdomain of the specified parent.

namestringBetaIDImmutable

Full resource name of the domain. The primary identifier for this resource. Format: domains/{domain_id} Identifies the domain on get, update, and delete. Not an input on create — to choose the id, set CreateDomainRequest.domain_id.

update_timestringBetaOutput only

Timestamp when the domain was last updated.

Get a domain Beta

GET /api/2.0/{name=domains/*}

1 more path

GET /api/discover/v1/{name=domains/*}

Get a domain by resource name.

Authorization: external callers must have the MANAGE DISCOVERY permission.

API scopes: domains

Parameters

namestringRequiredpath

Full resource name of the domain to retrieve. Format: domains/{domain_id}

Response

Returns the Domain object.

List domains Beta

GET /api/2.0/domains

1 more path

GET /api/discover/v1/domains

List domains in the account. Set parent_domain_id to return only the direct subdomains of a given domain.

Authorization: external callers must have the MANAGE DISCOVERY permission; only domains the caller is authorized to read are returned.

API scopes: domains

Parameters

page_sizeint32query
page_tokenstringquery
parent_domain_idstringquery

Filter by parent domain.

  • Absent: return all domains regardless of hierarchy.
  • Present: return only direct children of the specified domain.

Response

Returns a list of Domain objects.

Create a domain Beta

POST /api/2.0/domains

1 more path

POST /api/discover/v1/domains

Create a domain. If domain_id is omitted, the server generates one.

API scopes: domains

Parameters

domain_idstringquery

Client-supplied resource ID for the new domain. If omitted, the server generates one.

Request body

tag_keystringRequiredImmutable

Governed tag key associated with this domain.

draftbooleanInput only

Whether to mark the domain as a draft. If omitted on Create, the server applies a default; the resolved value is returned in effective_draft.

iconobject

Icon to display for the domain.

Show child attributesHide child attributes
namestring

Available icon names for a domain.

Values:

Show 73 possible values
  • NAME_UNSPECIFIED
  • ADDRESS_BOOK
  • ALARM
  • ARROWS_IN
  • ATOM
  • BALLOON
  • BANK
  • BARRICADE
  • BASKET
  • BRIDGE
  • CACTUS
  • CALL_BELL
  • CARROT
  • CHART_PIE_SLICE
  • CITY
  • CLOUD
  • COINS
  • COMPASS_ROSE
  • CRANE_TOWER
  • CROWN
  • CUBE_TRANSPARENT
  • FADERS
  • FLAG_BANNER_FOLD
  • FLAG_CHECKERED
  • GAVEL
  • HAMBURGER
  • HEAD_CIRCUIT
  • HOURGLASS_HIGH
  • INTERSECT_THREE
  • MICROSCOPE
  • MOON_STARS
  • PACKAGE
  • PARACHUTE
  • PEPPER
  • PIGGY_BANK
  • PILL
  • PLANET
  • PLANT
  • PLUGS_CONNECTED
  • POPCORN
  • PRESENTATION_CHART
  • PUZZLE_PIECE
  • RAINBOW
  • RANKING
  • RECEIPT
  • ROCKET
  • RULER
  • SAILBOAT
  • SCALES
  • SCAN_SMILEY
  • SCROLL
  • SHIELD_CHECKERED
  • SNEAKER
  • SNOWFLAKE
  • SOLAR_ROOF
  • SPEEDOMETER
  • STAMP
  • STEPS
  • STRATEGY
  • SWORD
  • TELEVISION_SIMPLE
  • TENT
  • TICKET
  • TRACTOR
  • TRAFFIC_CONE
  • TRAIN
  • TREE_EVERGREEN
  • TREE_STRUCTURE
  • TROLLEY_SUITCASE
  • TROPHY
  • TRUCK_TRAILER
  • USERS_THREE
  • VECTOR_THREE
colorstring

Hex color code with # prefix (e.g., "#FF5733").

subtitlestring

Short description (max 280 chars)

descriptionstring

Full description (max 4096 chars)

technical_owner_idsarray of int64

Principal IDs of the technical owners (users, groups, or service principals).

business_owner_idsarray of int64

Principal IDs of the business owners (users, groups, or service principals).

parent_domain_idstringImmutable

Domain ID of the parent. If absent, this is a top-level domain. If present, this domain is a subdomain of the specified parent.

namestringIDImmutable

Full resource name of the domain. The primary identifier for this resource. Format: domains/{domain_id} Identifies the domain on get, update, and delete. Not an input on create — to choose the id, set CreateDomainRequest.domain_id.

Response

Returns the Domain object.

Update a domain Beta

PATCH /api/2.0/{name=domains/*}

1 more path

PATCH /api/discover/v1/{name=domains/*}

Update a domain. update_mask selects which fields to modify; the domain is identified by its resource name.

API scopes: domains

Parameters

namestringRequiredIDImmutablepath

Full resource name of the domain. The primary identifier for this resource. Format: domains/{domain_id} Identifies the domain on get, update, and delete. Not an input on create — to choose the id, set CreateDomainRequest.domain_id.

update_maskstringRequiredquery

Request body

tag_keystringRequiredImmutable

Governed tag key associated with this domain.

draftbooleanInput only

Whether to mark the domain as a draft. If omitted on Create, the server applies a default; the resolved value is returned in effective_draft.

iconobject

Icon to display for the domain.

Show child attributesHide child attributes
namestring

Available icon names for a domain.

Values:

Show 73 possible values
  • NAME_UNSPECIFIED
  • ADDRESS_BOOK
  • ALARM
  • ARROWS_IN
  • ATOM
  • BALLOON
  • BANK
  • BARRICADE
  • BASKET
  • BRIDGE
  • CACTUS
  • CALL_BELL
  • CARROT
  • CHART_PIE_SLICE
  • CITY
  • CLOUD
  • COINS
  • COMPASS_ROSE
  • CRANE_TOWER
  • CROWN
  • CUBE_TRANSPARENT
  • FADERS
  • FLAG_BANNER_FOLD
  • FLAG_CHECKERED
  • GAVEL
  • HAMBURGER
  • HEAD_CIRCUIT
  • HOURGLASS_HIGH
  • INTERSECT_THREE
  • MICROSCOPE
  • MOON_STARS
  • PACKAGE
  • PARACHUTE
  • PEPPER
  • PIGGY_BANK
  • PILL
  • PLANET
  • PLANT
  • PLUGS_CONNECTED
  • POPCORN
  • PRESENTATION_CHART
  • PUZZLE_PIECE
  • RAINBOW
  • RANKING
  • RECEIPT
  • ROCKET
  • RULER
  • SAILBOAT
  • SCALES
  • SCAN_SMILEY
  • SCROLL
  • SHIELD_CHECKERED
  • SNEAKER
  • SNOWFLAKE
  • SOLAR_ROOF
  • SPEEDOMETER
  • STAMP
  • STEPS
  • STRATEGY
  • SWORD
  • TELEVISION_SIMPLE
  • TENT
  • TICKET
  • TRACTOR
  • TRAFFIC_CONE
  • TRAIN
  • TREE_EVERGREEN
  • TREE_STRUCTURE
  • TROLLEY_SUITCASE
  • TROPHY
  • TRUCK_TRAILER
  • USERS_THREE
  • VECTOR_THREE
colorstring

Hex color code with # prefix (e.g., "#FF5733").

subtitlestring

Short description (max 280 chars)

descriptionstring

Full description (max 4096 chars)

technical_owner_idsarray of int64

Principal IDs of the technical owners (users, groups, or service principals).

business_owner_idsarray of int64

Principal IDs of the business owners (users, groups, or service principals).

parent_domain_idstringImmutable

Domain ID of the parent. If absent, this is a top-level domain. If present, this domain is a subdomain of the specified parent.

Response

Returns the Domain object.

Delete a domain Beta

DELETE /api/2.0/{name=domains/*}

1 more path

DELETE /api/discover/v1/{name=domains/*}

Delete a domain. By default the request fails if the domain still has Glossary pages; set force to delete those pages along with the domain.

API scopes: domains

Parameters

namestringRequiredpath

Full resource name of the domain to delete. Format: domains/{domain_id}

forcebooleanInput onlyquery

When false (default), DeleteDomain is rejected with FAILED_PRECONDITION if the domain still has Glossary pages. When true, those pages are deleted first and then the domain is removed.